-- phpMyAdmin SQL Dump
-- version 5.1.3
-- https://www.phpmyadmin.net/
--
-- Хост: 127.0.0.1:3306
-- Час створення: Вер 22 2022 р., 18:30
-- Версія сервера: 8.0.29
-- Версія PHP: 7.4.29

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База даних: `films_site`
--

-- --------------------------------------------------------

--
-- Структура таблиці `comments`
--

CREATE TABLE `comments` (
  `id` int NOT NULL,
  `id_post` int NOT NULL,
  `name` varchar(64) NOT NULL,
  `date` varchar(32) NOT NULL,
  `review` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Дамп даних таблиці `comments`
--

INSERT INTO `comments` (`id`, `id_post`, `name`, `date`, `review`) VALUES
(12, 11, 'Lina', '22.09.2022', 'Clester');

-- --------------------------------------------------------

--
-- Структура таблиці `films`
--

CREATE TABLE `films` (
  `id` int NOT NULL,
  `name` varchar(64) NOT NULL,
  `img` varchar(128) NOT NULL,
  `rating` varchar(16) NOT NULL,
  `ex_date` int NOT NULL,
  `country` varchar(64) NOT NULL,
  `description` text NOT NULL,
  `url` varchar(128) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Дамп даних таблиці `films`
--

INSERT INTO `films` (`id`, `name`, `img`, `rating`, `ex_date`, `country`, `description`, `url`) VALUES
(1, 'Удача', 'luck.jpg', '7.3', 2022, 'Іспанія, США', 'Грабіжник давно виглядав собі велику ціль. Будинок належить місцевому мільярдеру, який заробив своє майно завдяки інтернет-мережі. Злочинець вважає його простим шахраєм, тому в даному випадку не вважає крадіжку великим гріхом. Йому вдається без проблем пробратися всередину. Він навіть встиг приглянути для себе чимало ласих шматочків, які виступили як нагорода. Не встиг чоловік зібрати всі знайдені купюри, як почув кроки та розмови на першому поверсі. Грабіжнику довелося терміново шукати укриття, щоб його не застали зненацька.', 'https://uakino.club/filmy/genre_drama/13510-udacha.html'),
(2, 'Випадковий візит', 'icameby.jpg', '6.4', 2022, 'Велика Британія', 'Якщо ви вирішуєте похуліганити - завжди думайте над наслідками. Вони неодмінно вас знайдуть. Так один графітист вирішує трішки \"насолити\" багатіям на розфарбувати їх помешкання. Все б добре, але одного разу він пробирається в підвал відомого багатія. Чоловік не уявляв, що йому доведеться там побачити. А найгірше, що про це дізнався власник дому. Тепер горе-вандалу та його сім\'ї загрожує смертельна небезпека. Діяти доведеться швидко. Він відчує себе мурашкою проти всіх ресурсів, якими володіє його ворог. Чи зможе чоловік виплутатися живим?', 'https://uakino.club/filmy/genre_crime/15110-vipadkoviy-vzit.html'),
(3, 'Тор: Любов і Грім', 'tor.jpg', '6.7', 2022, 'США', 'Супергеройський блокбастер Тайки Вайтіті про могутнього бога грому та блискавки Тора, який протистоїть новій загрозі – Горру Вбивці Богів. Для боротьби з ним Тор об\'єднує зусилля з друзями з небесного Азгарду та командою Вартових Галактики. Крім того, повертається його земне кохання Джейн Фостер, у якої з собою є кілька неймовірних сюрпризів.', 'https://uakino.club/filmy/genre-action/13660-tor-kohannya-ta-grm.html'),
(4, 'Звір', 'beast.jpg', '5.8', 2022, 'США, Ісландія', 'Історія фільму розповідає про доктора Нейта Кларка, у якого нещодавно загинула дружина і він вирішує повернутися до Південної Африки, де колись вони з нею зустрілися. До загибелі дружини сімейна пара планувала здійснити туристичну поїздку із двома доньками до заповідника. Керує ним Мартін Баттлс – старий друг сім\'ї та біолог. Але підготовка поїздки дуже затяглася. Вирішивши всі проблеми, Нейт вирішує відвезти дівчаток-близнюків до тих місць, які об\'єднали серця їхніх батьків. Сім\'я прилітає до заповідника Мапані на літаку. Після поселення у величезному будинку мандрівники вирушають автомобілем у пустку, де на побитому асфальті знаходять пораненого дивного чоловіка. Нейт разом з другом обстежує найближче поселення і знаходить безліч трупів, але на них немає жодних відбитків поїдання хижаком. Це нехарактерна поведінка для тигра, який зазвичай полює заради їжі. Сім\'я зустрічає на своєму шляху величезного лева, але їм вдалося врятуватися. Тим часом Мартін вирішив зібрати експедицію зі зброєю, щоб відігнати хижаків від поселення. Але лютий тигр уже скуштував людську кров, і ситуація загострюється. Чи вдасться героям перемогти звіра чи хоча б вижити?', 'https://uakino.club/filmy/genre_adventure/15175-zvr.html'),
(5, 'Торговці тілами', 'bodybrokers.jpg', '6.2', 2021, 'США', 'Бездомний наркоман Юта разом зі своєю дівчиною Опал намагається вижити на вулицях маленького містечка в штаті Огайо. Одного разу він зустрічає загадкового чоловіка, який пропонує почати нове життя і пройти реабілітацію в спеціалізованій клініці. Лікування приносить свої результати, хлопець чистий, а ось з лікарнею, в якій йому допомогли, щось не так. Насправді доля наркоманів нікого не цікавить, а заклад — лише прикриття для мільярдного шахрайського бізнесу, і хлопцеві доводиться стати його частиною.', 'https://uakino.club/filmy/genre_drama/12414-groshova-golka-torgovc-tlami.html'),
(8, 'Крок вперед', 'step.jpg', '6.5', 2006, 'США', 'У центрі сюжету талановитий вуличний танцюрист Тайлер, який постійно потрапляє у різні колотнечі. Внаслідок чергової витівки він опиняється в суді, де його засуджують до покарання у вигляді кількох місяців виправних робіт. Тепер він повинен мити підлогу в одній із місцевих шкіл, проте, не зважаючи на ситуацію, головному герою вдається знайти однодумців навіть тут. Тайлер знайомиться з прекрасною дівчиною, якій потрібен гідний партнер для майбутнього танцювального виступу..', 'https://uakino.club/filmy/genre_drama/1512-krok-vpered.html'),
(10, 'Крок вперед: Рік танців', 'step1.jpg', '3.7', 2019, 'Китай, США', 'Дія розгортається в Китаї навколо групи молодих танцюристів із різних соціальних верств суспільства, які приїхали до Пекіна для участі у найбільшому танцювальному конкурсі. Не зважаючи на численні складнощі, що підстерігають юних талантів під час змагань, кожен з учасників мріє за підсумками турніру опинитися у когорті переможців. За результатами запеклих танцювальних баттлів, що розгорнулися на вулицях столиці, вдається сформувати команду найкращих танцюристів, але тепер їм доведеться дізнатися, що насправді означає бути однією сім\'єю.', 'https://uakino.club/filmy/genre_drama/12159-krok-upered-6-rk-tancv.html'),
(11, 'Крок вперед: Все або нічого', 'step2.jpg', '5.9', 2014, 'США, Канада', 'Молодий танцюрист-самоучка разом зі своєю командою безуспішно беруть участь в кастингах. Після того як їх в черговий раз обходять суперники, більшість команди збирається залишити затію і повернутися з великого міста в рідну провінцію. Лідер їх групи не хоче так легко здаватися. Він зустрічається зі своїм старим знайомим, який колись розділяв його захоплення, і просить хлопця допомогти йому в організації нової команди, щоб взяти участь в найбільшому реаліті-шоу. Перемога в ньому зможе принести не тільки серйозні гроші, а й божевільну славу.', 'https://uakino.club/filmy/genre_drama/5325-krok-vpered-5-vse-abo-nchogo.html'),
(12, 'Крок вперед 4: Революція', 'step4.jpg', '6.4', 2012, 'США', 'Емілі — танцівниця-початківець і дочка впливового бізнесмена. Вона їде в сонячний Маямі, щоб підтягнути свої танці та стати справжнім профі. Там вона знайомиться з Шоном, лідером танцювальної групи «МОВ», які займаються постановкою флешмобів. Хлопець зі своєю командою хоче виграти конкурс, на кону якого великий грошовий приз. У цей час батько Емелі хоче перебудувати район, на території якого мешкає Шон разом із друзями, а для цього потрібно переселити місцевих мешканців. Друзі влаштовують протестні флешмоби, і Емілі вирішує приєднатися до них...', 'https://uakino.club/filmy/genre_drama/5325-krok-vpered-5-vse-abo-nchogo.html'),
(13, 'Хід короля', 'king.jpg', '6.8', 2021, 'Німеччина, Австрія', 'У 1938 році, після аншлюсу гітлерівської Німеччини та Австрії, юрист Йозеф Барток, який живе у Відні разом зі своєю дружиною Анною, намагається втекти за кордон, проте потрапляє до рук гестапо, яке вимагає передати коди доступу від великих європейських банківських рахунків, щоб поповнити скарбницю перед майбутньою війною. Відмовившись співпрацювати з нацистами, чоловік поміщається в одиночну камеру, де піддається цілій низці виснажливих психологічних тортур. Щоб не збожеволіти, головний герой стає одержимий шахами, вступивши в інтелектуальне протистояння з цинічним гестапівцем Францем-Йозефом Бемом.', 'https://uaserials.pro/6645-hid-korolya.html'),
(14, 'Морбіус', 'morbius.jpg', '5.2', 2022, 'США', 'Страждаючий від рідкісного захворювання крові, видатний біохімік Майкл Морбіус, удостоєний Нобелівської премії за свої досягнення в медицині, намагається вилікувати себе і свого друга дитинства Майло, для чого займається вивченням кажанів, відловлених у Коста-Риці. За допомогою своєї колеги, доктора Мартіни Бенкрофт, він винаходить вакцину та випробує її на собі, що призводить до непередбачуваних наслідків. Крім довгоочікуваного одужання чоловік набуває цілу низку неймовірних надздібностей, але разом з тим стикається з невгамовною жагою крові...', 'https://uakino.club/filmy/genre-action/13980-morbus.html'),
(15, 'Обігнати час', 'desperatehour.jpg', '4.8', 2021, 'США', 'Нещодавно Емі Карр поховала коханого чоловіка, який загинув в автокатастрофі. Проживаючи в провінційному містечку, жінка вчиться сама дбати про своїх дітей, маленьку Емілі та сина-підлітка Ноа. Одного ранку вона збирає дітей до школи, а сама вирушає на пробіжку до лісу, де відключає мобільний телефон, щоб не відволікатися на дзвінки. Незабаром дізнавшись, що на школу скоєно напад невідомим стрільцем, жінка, яка перебуває посеред лісу за кілька кілометрів від будинку, починає відчайдушні перегони з часом, щоб урятувати дітей...', 'https://uakino.club/filmy/genre_thriller/14252-obgnati-chas.html'),
(16, 'Бетмен', 'batman.jpg', '7.9', 2022, 'США', 'Ґотем-сіті, у якому процвітає злочинність, знаходиться під надійною опікою мільярдера Брюса Вейна. За два роки Бетмену вдалося не лише досягти прогресу у боротьбі з організованою злочинністю, а й знайти надійного соратника в особі поліцейського детектива Джеймса Гордона. Коли безжальний лиходій Загадник жорстоко вбиває мера Ґотем-сіті, Вейн за допомогою Гордона збирає воєдино підказки та здогадки про вбивство і дізнається, що мер мав таємну коханку. У той час як Бетмен з\'ясовує, що жінка перебуває під опікою Селіни Кайл, Загадник завдає чергового удару, безжально розправляючись з окружним прокурором...', 'https://uakino.club/filmy/genre-action/12578-betmen.html'),
(17, 'Доктор Стрендж 2', 'doctorstrange.jpg', '7.0', 2022, 'США', 'Доктор Стівен Стрендж вирушає на весільну урочистість своєї колишньої колеги Крістен Палмер, попутно розмірковуючи про своє майбутнє. Змучений химерними снами про загадкову фігуру, Стрендж вступає в контакт з Америкою Чавез — дівчинкою-підлітком, що ховається від смертоносної сили, яка хоче викрасти здатність дівчинки мандрувати мультивсесвітом. Разом із Вонгом та Вандою Максимовою Стрендж має намір захистити дівчинку, але для цього супергерої спочатку мають вистежити могутнього лиходія, що веде на неї полювання...', 'https://uakino.club/filmy/genre-action/13704-doktor-strendzh-u-multivsesvt-bozhevllya.html'),
(18, 'Тор 2: Царство темряви', 'tor2.jpg', '6.8', 2013, 'США', 'Тисячі років тому дід Тора позбавив світ від лютого і потужного лиходія Малекіта, ватажка Темних ельфів, який намагався підпорядкувати собі Всесвіт за допомогою сил Ефіру. Малекіт втік, Ефір був ізольований, і світ жив у відносному спокої. Але раптово Ефір пробудився і Всесвіту знову загрожує небезпека, проти якої виходять Тор, його вірні друзі, кохана-землянка Джейн Фостер і відпущений з ув\'язнення під чесне слово брат-зрадник Локі.', 'https://uaserials.pro/2382-tor-2-carstvo-temryavy.html');

-- --------------------------------------------------------

--
-- Структура таблиці `users`
--

CREATE TABLE `users` (
  `id` int NOT NULL,
  `full_name` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8_general_ci DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8_general_ci DEFAULT NULL,
  `email` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8_general_ci DEFAULT NULL,
  `password` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Дамп даних таблиці `users`
--

INSERT INTO `users` (`id`, `full_name`, `login`, `email`, `password`) VALUES
(7, 'Adm', 'fff', 'fff@example.com', '202cb962ac59075b964b07152d234b70');

--
-- Індекси збережених таблиць
--

--
-- Індекси таблиці `comments`
--
ALTER TABLE `comments`
  ADD PRIMARY KEY (`id`);

--
-- Індекси таблиці `films`
--
ALTER TABLE `films`
  ADD PRIMARY KEY (`id`);

--
-- Індекси таблиці `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для збережених таблиць
--

--
-- AUTO_INCREMENT для таблиці `comments`
--
ALTER TABLE `comments`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT для таблиці `films`
--
ALTER TABLE `films`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT для таблиці `users`
--
ALTER TABLE `users`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
